Script
===============

Course title: **Open Science MOOC**

Module title: **Open Source and Open Research Software**

Video title: **Why Open Source is important for researchers**

Location: Dependent on presenter

Recording device: Depending on what is available, either webcam, mobile phone, or camera. If Jon can get to you on location, then we can use professional equipment.

Proposed style: Monologue

Content visualisations: None (optional)

Format: Informal, casual, outside of classroom/lab

Opening: MOOC main logo, MOOC module logo, title of this video.

Presenters:

* [Jon Tennant](https://twitter.com/protohedgehog) - HOST
* [Peter Murray-Rust](https://twitter.com/petermurrayrust)
* [Heidi Seibold](https://twitter.com/HeidiBaya)
* [Konrad Foerstner](https://twitter.com/konradfoerstner)
* [Anna Kostikova](https://twitter.com/oxytheca)
* [Ina Smith](https://twitter.com/ismonet)
* [Abby Cabunoc Mayes](https://twitter.com/abbycabs)

## Background

The intention of this video is to explain to learners *why* they should be doing this module. What the advantage of learning this material is, in terms of how it will affect their daily research practices. For this, it has to be personal stories: How OSS has impacted you, why it is important to you, and a real world experience of it. So, for example, "Using Open Source Software, I was able to remotely collaborate with researcher X in country Y, which led to the sharing of research code and data and ultimately a publication in journal Z."

This video will come in at the Introduction just before the learning outcomes, and really nail why people should be taking this module by prociding a real human component and narrative. 

Now, importantly, I want this video to be completely distinct from something like a formal university lecture, where the learning is plain and uni-directional from teacher to learner. I want it to be personal, natural, and engaging - you are all members of the community, and I see this ss more peer-to-peer. So less floating heads and instructional, and more casual. What I want produce ultimately is something inspirational that gets people to go 'OK, this sounds useful to me and I should take and complete this module'.

## Brief layout

1. Introductory section (Jon)
2. Middle section, comprising 6 short 30-120 second statements from each presenter (all)
3. Conclusions (Jon)


Introduction - Jon
------------

"Welcome to Module 5 of the Open Science MOOC, on Open Research Software and Open Source. In this module, we will learn about the importance of open source software in modern research. The module will help to equip us the relevant knowledge and tools to transform software into something that can be openly accessed and re-used by others.

This video will answer a key question: Why is Open Source Software important for you and your research? To help with this, we have spoken with 6 researchers across the world who use Open Source Software in their daily practices, and can testify to the great impact it can have on their research workflows. Because Open Source is just as much about the people as it is the technology."


Middle (body) - All
-------------

[Per presenter]

* Intro - name, discipline, affiliation.
* When you became interested in OSS.
* A specific example of how using OSS has impacted you and your research.
* Name the software and specific outcomes from using it. Use names of others if needed.
* Finish each story relating to the overall impact it has had on your research.

Conclusions - Jon
-----------

"So there we have it, 6 awesome stories from some talented researchers about the transformation that Open Source Software can have on our research practices. These tools have the potential to make our lives as researchers much easier, making our research more efficient, cost-effective, and transparent.

In the rest of this module, we will learn a little more about the principles and community behind Open Source Software, how to make our own good software for re-use, and also how to cite any software we use in our own research. As well as this, we have three practical tasks, that will help us firstly set up your own project in GitHub, and then how to archive this project in Zenodo, and finally how to integrate Git with the programming language, R.

Hopefully, by the end of the module, you will be able to apply these skills and knowledge to make your daily activities as a researcher more efficient. The next part of this module is just what is Open Source Software - enjoy!"

## Post-recording tasks

* Create a transcript and subtitle file (for translations)
* Add start and end slides
* Add screen information for each presenter
* Edit videos together for continuity
* Add statements between presenters in middle parts if needed *or* add a brief pause with a slide of information between each presenter (name, discipline, software name, affiliation)

## Licensing statement

I/we grant the Open Science MOOC the right to re-use the content that
I/we provide for the project. Specifically, I/we give permission to:

-   Use the material for educational purposes for the project

-   Publish the educational videos to the MOOC platform(s), and share any
    relevant ones on social media

-   Release the content under a Creative Commons CC BY 4.0
    International license
    
Signed:

[please add names here]
Heidi Seibold
